#pragma once
#include "../AutoLBA/auto_lba.hpp"

namespace JabyEngine {
    namespace CDXA {
        void play(const volatile AutoLBAEntry* lba, uint8_t rel_lba_idx, uint8_t channel, bool double_speed);
        void stop();

        void set_channel(uint8_t channel);

        void push_play();
        void pop_play();
    }
}